#
# spec file for package ethereal (Version 0.10.13)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  glib glib-devel gtk gtk-devel gtk2-devel-packages libpcap openssl openssl-devel python ucdsnmp update-desktop-files x-devel-packages
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs atk atk-devel autoconf automake binutils cracklib expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gdbm gettext glib glib-devel glib2 glib2-devel gnome-filesystem gtk gtk-devel gtk2 gtk2-devel libpcap libtool openssl-devel pango pango-devel perl pkgconfig python rpm ucdsnmp update-desktop-files

Name:         ethereal
License:      GPL
Group:        Productivity/Networking/Diagnostic
Autoreqprov:  on
Summary:      A Network Traffic Analyser
Version:      0.10.13
Release:      7
URL:          http://ethereal.com/
Source:       http://ethereal.com/distribution/%{name}-%{version}.tar.bz2
Patch:        %{name}-%{version}-config.diff
Patch1:       %{name}-%{version}-infinite-loop.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Ethereal is a free network protocol analyzer for Unix and Windows. It
allows you to examine data from a live network or from a capture file
on disk. You can interactively browse the capture data, viewing summary
and detail information for each packet. Ethereal has several powerful
features, including a rich display filter language and the ability to
view the reconstructed stream of a TCP session.



Authors:
--------
    Gerald Combs <gerald[AT]ethereal.com>
    Gilbert Ramirez <gram[AT]alumni.rice.edu>
    Hannes R. Boehm <hannes[AT]boehm.org>
    Mike Hall <mike[AT]hallzone.net>
    Bobo Rajec <bobo[AT]bsp-consulting.sk>
    Laurent Deniel <laurent.deniel[AT]free.fr>
    Don Lafontaine <lafont02[AT]cn.ca>
    Guy Harris <guy[AT]alum.mit.edu>
    Simon Wilkinson <sxw[AT]dcs.ed.ac.uk>
    Joerg Mayer <jmayer[AT]loplof.de>
    Martin Maciaszek <fastjack[AT]i-s-o.net>
    Didier Jorand <Didier.Jorand[AT]alcatel.fr>
    Jun-ichiro itojun Hagino <itojun[AT]itojun.org>
    Richard Sharpe <sharpe[AT]ns.aus.com>
    John McDermott <jjm[AT]jkintl.com>
    Jeff Jahr <jjahr[AT]shastanets.com>
    Brad Robel-Forrest <bradr[AT]watchguard.com>
    Ashok Narayanan <ashokn[AT]cisco.com>
    Aaron Hillegass <aaron[AT]classmax.com>
    Jason Lango <jal[AT]netapp.com>
    Johan Feyaerts <Johan.Feyaerts[AT]siemens.atea.be>
    Olivier Abad <oabad[AT]noos.fr>
    and many others. For details see /usr/share/doc/packages/ethereal/AUTHORS

%prep
%setup -q
%patch
%patch1

%build
%{suse_update_config -f epan wiretap .}
for i in epan wiretap .
do
   (cd $i
    autoreconf -fi
    )
done
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" ./configure \
            --prefix=/usr/X11R6 \
            --sysconfdir=/etc \
            --mandir=%{_mandir} \
            --enable-ipv6 \
            --with-ssl=/usr \
            --libdir=/usr/X11R6/%{_lib} \
            --disable-gtk2
make

%install
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot} 
make "DESTDIR=$RPM_BUILD_ROOT" install
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1/
install *.1 $RPM_BUILD_ROOT%{_mandir}/man1/
%suse_update_desktop_file -i ethereal Network Monitor

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot} 

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README* doc/README.*
%doc %{_mandir}/man?/*
/usr/share/applications/*.desktop
/usr/X11R6/bin/*
/usr/X11R6/%{_lib}/*
/usr/X11R6/share/*

%changelog -n ethereal
* Tue Nov 01 2005 - postadal@suse.cz
- fixed infinite loop [#128637] (infinite-loop.patch)
* Mon Oct 24 2005 - postadal@suse.cz
- updated to version 0.10.13 (a lot of security fixes enpa-sa-00021)
  [#128637]
* Wed Aug 03 2005 - postadal@suse.cz
- updated to version 0.10.12 (security update) [#98446]
  * several security fixes; enpa-sa-00020
  (CAN-2005-2360, CAN-2005-2361, CAN-2005-2362, CAN-2005-2363,
  CAN-2005-2364, CAN-2005-2365, CAN-2005-2366, CAN-2005-2367)
- moved /etc/{manuf,diameter} to /usr/X11R6/share/ethereal
  (changed loading data files)
* Thu Jun 02 2005 - postadal@suse.cz
- built against gtk1 (last version needs add --disable-gtk2) [#86613]
* Fri May 06 2005 - postadal@suse.cz
- updated to version 0.10.11 (a lot of security fixes enpa-sa-00019)
* Wed Apr 13 2005 - postadal@suse.cz
- fixed security bugs in 3GPP2 A11, IAPP, sFlow dissectors [#71777]
  (CAN-2005-0699, CAN-2005-0739)
* Fri Jan 21 2005 - postadal@suse.cz
- fixed security bugs in HTTP, SMB, X11 dissectors and invalid RTP timestamp [#49253]
  (CAN-2004-1140, CAN-2004-1141, CAN-2005-0084, CAN-2004-1142)
* Wed Nov 24 2004 - postadal@suse.cz
- fixed missed security bugs (in SIP, AIM, SPNEGO and MMSE dissectors) [#47183]
  enpa-sa-00014 (CAN-2004-0504, CAN-2004-0505, CAN-2004-0506, CAN-2004-0507)
* Wed Jul 14 2004 - postadal@suse.cz
- fixed security bugs (in iSNS, SMB and SNMP dissectors) [#42820]
  enpa-sa-00015 (CAN-2004-0633, CAN-2004-0634, CAN-2004-0635)
- added missing online help [#39518]
* Tue Apr 06 2004 - postadal@suse.cz
- updated to version 0.10.3 (security update) [#35449]
  * several security fixes; enpa-sa-00013; CAN-2004-0176 CAN-2004-0367,
  CAN-2004-0365
- fixed default filter (ipv6 problem)
- fixed locating manuf file in /etc [#34386]
- used -fno-strict-aliasing
- removed obsoleted patches
* Thu Dec 18 2003 - postadal@suse.cz
- fixed security bug (in SMB dissectors);[#33650] enpa-sa-00012
* Thu Nov 06 2003 - postadal@suse.cz
- fixed security bugs (in GTP,ISAKMP,MEGACO,SOCKS dissectors); enpa-sa-00011
* Sat Aug 16 2003 - adrian@suse.de
- install desktop file
* Fri Jul 25 2003 - postadal@suse.cz
- updated to version 0.9.14
  * support for searching for arbitrary text and binary data in frames
  * new protocols: Echo, eDonkey, Jabber, MS Messenger, sFlow
* Thu Jul 03 2003 - lmuelle@suse.de
- update to version 0.9.13
  * support for GNU ADNS library
  * "Decode As..." functionality has been added to Tethereal via the "-d" flag
  * support for a system-wide color filter file
  * several security fixes; enpa-sa-00010; CAN-2003-0428 CAN-2003-0429
  CAN-2003-0431 CAN-2003-0432
- removed gcc patch as included in upstream
* Mon Mar 10 2003 - postadal@suse.cz
- update to version 0.9.10 (security fix)
- removed obsoleted unused plugin patch
* Fri Mar 07 2003 - ro@suse.de
- removed mminimal-toc from CFLAGS (ppc64)
* Wed Jan 29 2003 - postadal@suse.cz
- updated to version 0.9.9
  * more statistics have been added
  * the RADIUS dissector can now decrypt user passwords
  * new protocols:  MDSHDR, MEGACO, MySQL, SDLC, X.29
* Mon Jan 27 2003 - ro@suse.de
- fix build with gcc-3.3
* Wed Jan 22 2003 - postadal@suse.cz
- updated to version 0.9.8
  * new protocols:  ARCNET, ClearCase NFS, DCERPC LSA_DS, Fibre Channel,
  HyperSCSI, MDNS, PCLI, RPL,  802.1s MSTP, FIX, GSS-API, Interbase, NDPS,
  Netflow (Cisco and Juniper), SCCP-Management, SPNEGO
- plugin fix (added header file with macros)
* Wed Aug 28 2002 - postadal@suse.cz
- added %%config to file list
* Fri Aug 23 2002 - postadal@suse.cz
- update to version 0.9.6 (security fix)
* Thu Aug 15 2002 - postadal@suse.cz
- update to version 0.9.5 (security fix)
* Sat Jun 29 2002 - olh@suse.de
- build with -mminimal-toc on ppc64
* Wed Jan 16 2002 - cihlar@suse.cz
- update to version 0.9.0
* Mon Nov 26 2001 - cihlar@suse.cz
- update to version 0.8.20
* Wed Jul 25 2001 - cihlar@suse.cz
- update to version 0.8.19
* Fri Jun 15 2001 - cihlar@suse.cz
- added openssl, openssl-devel to neededforbuild
- run confugure with --with-ssl=/usr
- link against libcrypto (libsnmp needs it)
- fixed to compile with ipv6 support
* Fri Jun 08 2001 - cihlar@suse.cz
- fixed to compile with new autoconf
* Tue Apr 24 2001 - cihlar@suse.cz
- fixed warnings on ia64
* Tue Mar 20 2001 - cihlar@suse.cz
- upgrade to version 0.8.16
* Tue Mar 06 2001 - cihlar@suse.cz
- upgrade to version 0.8.15
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Tue Oct 31 2000 - cihlar@suse.cz
- upgrade to version 0.8.13
- bzipped sources
* Thu Aug 03 2000 - cihlar@suse.cz
- upgrade to version 0.8.11
* Mon Jun 12 2000 - cihlar@suse.cz
- upgrade to version 0.8.9
* Wed May 10 2000 - cihlar@suse.cz
- upgrade to version 0.8.8
* Thu Apr 13 2000 - cihlar@suse.cz
- upgrade to version 0.8.6
- added BuildRoot
* Mon Apr 10 2000 - bk@suse.de
- added suse update config macro
* Wed Mar 01 2000 - choeger@suse.de
- new version, 0.8.3
* Wed Jan 19 2000 - choeger@suse.de
- new version, 0.8.1
* Thu Nov 25 1999 - choeger@suse.de
- new version, 0.7.8
* Thu Oct 28 1999 - choeger@suse.de
-  new version, 0.7.7
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Sep 01 1999 - choeger@suse.de
- new version
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Mon Jul 12 1999 - ro@suse.de
- libpcap is an extra package now
* Thu Jul 08 1999 - choeger@suse.de
- new version, v0.6.3
* Tue Jun 01 1999 - ro@suse.de
- fixed: X11 -> X11R6
* Wed May 26 1999 - choeger@suse.de
- new package v0.6.2
